<% local data, viewlibrary, page_info, session = ... 
require("viewfunctions")
%>

<% displaycommandresults({"install","edit"}, session) %>
<% displaycommandresults({"startstop"}, session) %>
<% displaycommandresults({"reloadplan"}, session) %>

<H1>System Info</H1>
<DL>
<%
displayitem(data.value.status)

displayitem(data.value.version)
if data.value.version and data.value.version.errtxt and viewlibrary.check_permission("apk-tools/apk/install") then
%>
	<DT>Install package</DT>
	<DD><form action="<%= html.html_escape(page_info.script .. "/apk-tools/apk/install") %>" method="POST">
	<input type='hidden' name='package' value='<%= html.html_escape(data.value.version.name) %>'>
	<input class='submit' type='submit' value='Install'></form></DD>
<%
end

displayitem(data.value.autostart)
if not (data.value.version and data.value.version.errtxt) and data.value.autostart and data.value.autostart.errtxt and viewlibrary.check_permission("alpine-baselayout/rc/edit") then
%>
	<DT>Enable autostart</DT>
	<DD><form action="<%= html.html_escape(page_info.script .. "/alpine-baselayout/rc/edit") %>" method="POST">
	<input type='hidden' name='servicename' value='<%= html.html_escape(data.value.autostart.name) %>'>
	<input type='hidden' name='redir' value='<%= html.html_escape(page_info.orig_action) %>'>
	<input class='submit' type='submit' value='Enable'></form></DD>
<% end %>
</DL>

<% if viewlibrary and viewlibrary.dispatch_component and viewlibrary.check_permission("startstop") then
	viewlibrary.dispatch_component("startstop")
end %>

<% if viewlibrary.check_permission("reloadplan") then %>
<H1>Reload Dial Plan</H1>
<DL>
	<DT>Reload dial plan into memory</DT>
	<DD><form action="<%= html.html_escape(page_info.script .. page_info.prefix) %>kamailio/reloadplan" method="POST">
	<input class="submit" type="submit" name="reloadplan" value="Reload"></form></DD>
</DL>
<% end %>
